=== glucose/sugar-update-control/debian/rules ===
#!/usr/bin/make -f
PYTHONBASE=$(CURDIR)/debian/tmp/var/lib/python-support/python2.5

build:
	python setup.py build

install:
	python setup.py install --no-compile \
	   --root=$(CURDIR)/debian/sugar-update-control

clean:
	dh_testdir
	dh_testroot

	dh_clean
	rm -f *.dat

binary-arch:

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdirs -i
	dh_install -i
	dh_pysupport
	dh_link -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_md5sums -i
	dh_gencontrol -i
	dh_installdeb -i
	dh_builddeb -i

binary: binary-indep

.PHONY: binary binary-arch binary-indep build clean install
